package com.ruixuan.isc.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.kuaishou.merchant.open.api.KsMerchantApiException;
import com.ruixuan.isc.entity.KuaishouAccessToken;
import com.ruixuan.isc.entity.KuaishouItemList;

import java.util.List;
import java.util.Map;

public interface IKuaishouItemListService {

    List<KuaishouItemList> getItemList(Map<String, Object> requestMap);

    /**
     * 获取商品详情信息
     *
     * @param activityId
     * @param itemId
     * @param accessToken
     * @return
     */
    JSONObject getItemDetail(Long regId,Long activityId, Long itemId, KuaishouAccessToken accessToken) throws Exception;

    KuaishouItemList getItemInfoByItemId(Long itemId);

    void insertItem(KuaishouItemList kuaishouItemList);

    int updateKuaishouItemList(KuaishouItemList kuaishouItemList);

    int deleteKuaishouItemListByItemIds(Long[] itemIds);

    int addCategoryId() throws KsMerchantApiException;

    List<JSONObject> getCategoryIds();

    void updateCount(Long itemId, Integer sampleCount, Integer userCount);

    List<Long> getActivityIds(Long userId);

    Integer getSampleCount(Long itemId);

    void removeById(Long itemId);

    void batchItemProcess(JSONArray itemIds, Integer status,Long examineId,String examineName);

    List<JSONObject> getRegimental();

    List<JSONObject> getListByRelateId(Long relateId);

    Long selectMaxRelateId();
}

